Library Version 18.1.40

DB->get_h_ffactor()
Prev | Chapter 2. The DB Handle | Next

## DB->get_h_ffactor()

    #include <db.h>

    int
    DB->get_h_ffactor(DB *db, u_int32_t *h_ffactorp);

The `DB->get_h_ffactor()` method returns the hash table density as set by the DB->set_h_ffactor() method. The hash table density is the number of items that Berkeley DB tries to place in a hash bucket before splitting the hash bucket.

The `DB->get_h_ffactor()` method may be called at any time during the life of the application.

The `DB->get_h_ffactor()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### h_ffactorp

The `DB->get_h_ffactor()` method returns the hash table density in h_ffactorp.

### Class

DB

### See Also

Database and Related Methods, DB->set_h_ffactor()

Prev | Up | Next
DB->get_flags() | Home | DB->get_h_nelem()